%define pkg_desc The Python Imaging Library (PIL) adds image processing capabilities \
to your Python environment.  This library provides extensive file \
format support, an efficient internal representation, and powerful \
image processing capabilities.

Name:           scisoft-python-imaging
Version:        1.1.7
Release:        1%{?dist}
Summary:        The Python Imaging Library (PIL)
Distribution:   Scisoft
License:        Custom
Group:          Development/Libraries
Packager:       Carlos Guirao <cguirao@eso.org>
URL:            http://www.pythonware.com/products/pil/
Source0:        http://effbot.org/downloads/Imaging-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libpng-devel
BuildRequires:  tkinter
BuildRequires:  tk-devel
BuildRequires:  freetype-devel
BuildRequires:  lcms-devel

%description
%{pkg_desc}

%package -n scisoft-python2-imaging
Summary:        %{summary}
Provides:       scisoft-python-imaging

%description -n scisoft-python2-imaging
%{pkg_desc}


%prep
%autosetup -n Imaging-%{version}

%build
%py2_build

%install
%py2_install

%files -n scisoft-python2-imaging
%doc README CHANGES
%{_bindir}/*
%{python2_sitearch}/*


%changelog
* Fri Mar 16 2018 Artur Szostak <aszostak@partner.eso.org> 1.1.7
- Integrated into automatic build system for Scisoft.
- Updating to use modern Python packaging guidelines for RPMs.

* Mon Oct 24 2016 <aszostak@partner.eso.org> 1.1.7-4
- Adding missing dependencies.

* Mon Dec 16 2013 <cguirao@eso.org>
- adapted to SCISOFT 
